# frozen_string_literal: true

require File.expand_path("lib/ramverk/version", __dir__)

Gem::Specification.new do |spec|
  spec.name = "ramverk"
  spec.version = Ramverk::VERSION
  spec.summary = "Ramverk is a web application framework written in Ruby."

  spec.required_ruby_version = ">= 2.6.0"

  spec.license = "MIT"

  spec.author = "Tobias Sandelius"
  spec.email = "tobias@sandeli.us"
  spec.homepage = "https://github.com/sandelius/ramverk"

  spec.files = `git ls-files -z`.split("\x0")
  spec.executables << "ramverk"
  spec.test_files = spec.files.grep(%r{^(spec)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "thor", "~> 1.1.0"
  spec.add_runtime_dependency "rack", "~> 2.2"
  spec.add_runtime_dependency "zeitwerk", "~> 2.4"
  spec.add_runtime_dependency "mustermann", "~> 1.1"

  spec.add_development_dependency "bundler"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
  spec.add_development_dependency "rack-test"
end
